Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AreaPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.AreaPtg

public class AreaPtg
extends Ptg

Specifies a rectangular area of cells A1:A4 for instance.

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`AreaPtg(byte[] data, int offset)`
`AreaPtg(java.lang.String arearef)`

Method Summary
`java.lang.Object` | `clone()`
`byte` | `getDefaultOperandClass()`
`short` | `getFirstColumn()`
`short` | `getFirstColumnRaw()`
`short` | `getFirstRow()`
`short` | `getLastColumn()`
`short` | `getLastColumnRaw()`
`short` | `getLastRow()`
`int` | `getSize()`
`boolean` | `isFirstColRelative()`
`boolean` | `isFirstRowRelative()`
`boolean` | `isLastColRelative()`
`boolean` | `isLastRowRelative()`
`void` | `setFirstColRelative(boolean rel)` set whether the first column is relative
`void` | `setFirstColumn(short column)` set the first column in the area
`void` | `setFirstColumnRaw(short column)` set the first column irespective of the bitmasks
`void` | `setFirstRow(short row)` sets the first row
`void` | `setFirstRowRelative(boolean rel)` sets the first row to relative or not
`void` | `setLastColRelative(boolean rel)` set whether the last column should be relative or not
`void` | `setLastColumn(short column)` set the last column in the area
`void` | `setLastColumnRaw(short column)` set the last column irrespective of the bitmasks
`void` | `setLastRow(short row)`
`void` | `setLastRowRelative(boolean rel)` set whether the last row is relative or not
`java.lang.String` | `toFormulaString(Workbook book)` return a string representation of this token alone
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaPtg

    public AreaPtg(java.lang.String arearef)

### AreaPtg

    public AreaPtg(byte[] data,
                   int offset)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### getFirstRow

    public short getFirstRow()

  Returns:
    the first row in the area

### setFirstRow

    public void setFirstRow(short row)

  sets the first row

  Parameters:
    `row` - number (0-based)

### getLastRow

    public short getLastRow()

  Returns:
    last row in the range (x2 in x1,y1-x2,y2)

### setLastRow

    public void setLastRow(short row)

### getFirstColumn

    public short getFirstColumn()

  Returns:
    the first column number in the area.

### getFirstColumnRaw

    public short getFirstColumnRaw()

  Returns:
    the first column number + the options bit settings unstripped

### isFirstRowRelative

    public boolean isFirstRowRelative()

  Returns:
    whether or not the first row is a relative reference or not.

### setFirstRowRelative

    public void setFirstRowRelative(boolean rel)

  sets the first row to relative or not

  Parameters:
    `rel` - is relative or not.

### isFirstColRelative

    public boolean isFirstColRelative()

  Returns:
    isrelative first column to relative or not

### setFirstColRelative

    public void setFirstColRelative(boolean rel)

  set whether the first column is relative

### setFirstColumn

    public void setFirstColumn(short column)

  set the first column in the area

### setFirstColumnRaw

    public void setFirstColumnRaw(short column)

  set the first column irespective of the bitmasks

### getLastColumn

    public short getLastColumn()

  Returns:
    lastcolumn in the area

### getLastColumnRaw

    public short getLastColumnRaw()

  Returns:
    last column and bitmask (the raw field)

### isLastRowRelative

    public boolean isLastRowRelative()

  Returns:
    last row relative or not

### setLastRowRelative

    public void setLastRowRelative(boolean rel)

  set whether the last row is relative or not

### isLastColRelative

    public boolean isLastColRelative()

  Returns:
    lastcol relative or not

### setLastColRelative

    public void setLastColRelative(boolean rel)

  set whether the last column should be relative or not

### setLastColumn

    public void setLastColumn(short column)

  set the last column in the area

### setLastColumnRaw

    public void setLastColumnRaw(short column)

  set the last column irrespective of the bitmasks

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.